Package org.eclipse.lemminx.extensions.references.settings

## Class XMLReferenceExpression

- java.lang.Object
- - org.eclipse.lemminx.extensions.references.settings.XMLReferenceExpression

    public class XMLReferenceExpression
    extends Object

XML reference expression `{ "prefix": "#", "from": "@corresp", "to": "@xml:id" }`

Author:
  azerr

### Constructor Summary

Constructors
`XMLReferenceExpression()`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getFrom()`
`Boolean` `getMultiple()`
`String` `getPrefix()`
`String` `getTo()`
`boolean` `isFromSearchInAttribute()`
`boolean` `isFromSearchInText()`
`boolean` `isMultiple()`
`boolean` `isToSearchInAttribute()`
`boolean` `isToSearchInText()`
`boolean` `matchFrom​(Node node)` Returns true if the given DOM Node match the XPath expression of the 'from' XPath matcher and false otherwise.
`boolean` `matchTo​(Node node)` Returns true if the given DOM Node match the XPath expression of the 'to' XPath matcher and false otherwise.
`void` `setFrom​(String from)`
`void` `setMultiple​(Boolean multiple)`
`void` `setPrefix​(String prefix)`
`void` `setTo​(String to)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### XMLReferenceExpression

    public XMLReferenceExpression()

### Method Detail

#### getFrom

    public String getFrom()

#### setFrom

    public void setFrom​(String from)

#### getTo

    public String getTo()

#### setTo

    public void setTo​(String to)

#### getPrefix

    public String getPrefix()

#### setPrefix

    public void setPrefix​(String prefix)

#### setMultiple

    public void setMultiple​(Boolean multiple)

#### isMultiple

    public boolean isMultiple()

#### getMultiple

    public Boolean getMultiple()

#### matchFrom

    public boolean matchFrom​(Node node)

Returns true if the given DOM Node match the XPath expression of the 'from' XPath matcher and false otherwise.

Parameters:
  `node` - the DOM Node to match.
Returns:
  true if the given DOM Node match the XPath expression of the 'from' XPath matcher and false otherwise.

#### matchTo

    public boolean matchTo​(Node node)

Returns true if the given DOM Node match the XPath expression of the 'to' XPath matcher and false otherwise.

Parameters:
  `node` - the DOM Node to match.
Returns:
  true if the given DOM Node match the XPath expression of the 'to' XPath matcher and false otherwise.

#### isFromSearchInAttribute

    public boolean isFromSearchInAttribute()

#### isFromSearchInText

    public boolean isFromSearchInText()

#### isToSearchInAttribute

    public boolean isToSearchInAttribute()

#### isToSearchInText

    public boolean isToSearchInText()